Page MenuHomePhabricator

Rename Database to DBA, create blocked-by-schema-change
Closed, ResolvedPublic

Description

There are many problems with the #Database tag. It is confusing, and many people do not differenciate it from Wikimedia-Rdbms. I want to rename #Database to DBA, (we can keep the alias) and make sure that we differenciate between tasks involving mediawiki code related to relational storage (done mostly by mediawiki hackers), and work on WMF MySQLs (done mostly by WMF operators).

In addition, schema changes are not as easy to be done as before. I think Schema-change can continue existing for proposed changes in mediawiki infrastructure, but we need another project to mark "this schema change is final, apply it to WMF infrastructure now". Thus I propose #Blocked-by-schema-change, with a similar spirit than Blocked-on-Operations. I think DBA should be a subcomponent (blue) (or a team?). Blocked-on-Operations should be a yellow or red tag.

The rationale and workflow has been documented on https://wikitech.wikimedia.org/wiki/Schema_changes/Coordination_proposal and many people has already agreed to follow it, unblocking many pending changes. I want to officialize it.

Event Timeline

jcrespo created this task.Nov 27 2015, 8:39 AM
jcrespo raised the priority of this task from to Needs Triage.
jcrespo updated the task description. (Show Details)
jcrespo added a subscriber: jcrespo.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 27 2015, 8:39 AM
jcrespo updated the task description. (Show Details)Nov 27 2015, 8:41 AM
jcrespo set Security to None.
jcrespo updated the task description. (Show Details)
jcrespo added a subscriber: Krenair.
TTO added a subscriber: TTO.Nov 27 2015, 9:39 AM

Hm, I wonder if "Blocked-on-schema-change" should be clearer, to make it obvious that it applies to WMF infrastructure only?

Aklapper triaged this task as Medium priority.Nov 27 2015, 12:32 PM

It should be Blocked-on-schema-change to keep the naming scheme we have and has to be a yellow tag.
Also, the description of "Database" to be renamed to "Wikimedia-DBA" (I'd slightly prefer that for clarity) in https://phabricator.wikimedia.org/project/profile/1060/ needs clarification.
Apart from that it sounds very good.

jcrespo added a comment.EditedNov 27 2015, 2:05 PM

I agree with all the suggestions, except with #wikimedia-DBA. That sounds
and writes unnaturally.

Either it reflects a team, DBA, DBAs,Database-administrators, or a task; in that last case I would prefer Wikimedia-databases or WMF-databases. I would prefer it
without a reference to the foundation, after all, I am part of operations,
not Wikimedia operations, not wikimedia-netops, etc.

I know a better name doesn't fix worflows on its own, but it has to be easy
to find.

Makes sense. Thanks for explaining, please feel free to go ahead, either with DBA or Wikimedia-databases.

jcrespo moved this task from Triage to Backlog on the DBA board.Nov 29 2015, 10:54 PM
jcrespo added a comment.EditedDec 2 2015, 2:47 PM

I've edited the description shown here:
https://phabricator.wikimedia.org/project/profile/1060/

I've specifically avoided adding the alias #Database and #Databases, as those are ambiguous- (is it about database code or problems with actual databases?).

I want to clarify the differences between DBA and Wikimedia-Rdbms, but I have problems doing it without sounding "that is not my job"- what I want to clarify is that if you create an extension X, it is the responsibility of the creator of X to create good and fast persistence code, even if I can be helpful in some cases, will verify it and apply personally the schema change.

I've documented the changes on my workflow on https://wikitech.wikimedia.org/wiki/Schema_changes

jcrespo closed this task as Resolved.Dec 23 2015, 12:21 PM
jcrespo claimed this task.